@book{stroustrup,
author={Stroustrup, Bjarne},
title={The {C++} Programming Language Third Edition},
publisher={Addison-Wesley Publishing Company},
month={September},
year={1997}
}
@book{press,
author={Press, William H. and Teukolsky, Saul A.
and Vettering, William T. and Flannery, Brian P.},
title={Numerical Recipes in {C} The Art of Scientific Computing Second Edition},
publisher={Cambridge University Press},
year={1992}
}
@book{golub,
author={Golub, Gene H. and Van Loan, Charles F.},
title={Matrix Computations Second Edition},
publisher={The Johns Hopkins University Press},
year={1989}
}

